Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: martin rudalics <[email-masked]>
Date: Sat, 01 Jul 2017 17:20:34 +0200

> Why not the other way around: let the application specify the text and
 > the position of the popup in dedicated variables, and then redisplay
 > could just access those as part of its job?

The application has to react when a given buffer position changes its
position on screen.  If ‘window-text-change-functions’ is sufficient to
determine that (I never used it), it could add itself to that hook and
specify the popup accordingly.  Otherwise, the application would have to
track whether the window was scrolled, resized or moved, or its buffer
modified.  Or, for example, whether an overlay before the popup position
changed from visible to invisible.

martin